Merge pull request #286 from Integral-Tech/update-ci
Some checks failed
build-deploy-assets / build (push) Has been cancelled
deploy-github-page / build (push) Has been cancelled
status-checks / validate (push) Has been cancelled

CI: Update Ubuntu, gcc & clang-format
This commit is contained in:
Jim Huang 2024-11-13 05:57:49 +08:00 committed by GitHub
commit 6e3aee651a
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194
3 changed files with 5 additions and 7 deletions

View File

@ -2,7 +2,7 @@
SOURCES=$(find $(git rev-parse --show-toplevel) | grep -E "\.(cpp|cc|c|h)\$")
CLANG_FORMAT=$(which clang-format-12)
CLANG_FORMAT=$(which clang-format)
if [ $? -ne 0 ]; then
CLANG_FORMAT=$(which clang-format)
if [ $? -ne 0 ]; then

View File

@ -62,9 +62,9 @@ function do_sparse()
function do_gcc()
{
local GCC=$(which gcc-11)
local GCC=$(which gcc)
if [ $? -ne 0 ]; then
echo "[!] gcc-11 is not installed. Failed to run static analysis with GCC." >&2
echo "[!] gcc is not installed. Failed to run static analysis with GCC." >&2
exit 1
fi

View File

@ -10,7 +10,7 @@ on:
jobs:
validate:
runs-on: ubuntu-22.04
runs-on: ubuntu-24.04
steps:
- name: checkout code
uses: actions/checkout@v4
@ -23,9 +23,7 @@ jobs:
if: ${{ steps.changed-files.outputs.any_changed == 'true' ||
github.event_name == 'workflow_dispatch' }}
run: |
sudo apt-get install -q -y clang-format-12
sudo apt-get install -q -y cppcheck
sudo apt-get install -q -y gcc-11
sudo apt install -q -y clang-format cppcheck gcc
.ci/check-newline.sh
.ci/check-format.sh
.ci/static-analysis.sh